--[[

ARL-FirstAId.lua

First Aid data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BFAC		= AceLibrary("Babble-Faction-2.2")

-- Initializes the array adding all First Aid recipes.  As of 2.2 there are 15 recipes.

function ARL:ARL_InitFirstAid()
  
	ARL:ARL_InitializeRecipeArray()
 
	-- Trainer Recipes
	ARL:addTradeSkill1(1251, 1, L["Trainer"])
	ARL:addTradeSkill1(2581, 40, L["Trainer"])
	ARL:addTradeSkill1(3530, 80, L["Trainer"])
	ARL:addTradeSkill1(6452, 80, L["Trainer"])
	ARL:addTradeSkill1(3531, 115, L["Trainer"])
	ARL:addTradeSkill1(6450, 150, L["Trainer"])
	ARL:addTradeSkill1(8545, 240, L["Trainer"])
	ARL:addTradeSkill1(14529, 260, L["Trainer"])
	ARL:addTradeSkill1(14530, 290, L["Trainer"])

	-- Vendor Recipes
	ARL:addTradeSkill1(6451, 180, ARL:ARL_AddVendor({165, 166}, false))
	ARL:addTradeSkill1(8544, 210, ARL:ARL_AddVendor({165, 166}, false))
	ARL:addTradeSkill1(21990, 330, ARL:ARL_AddVendor({167, 168}, false))
	ARL:addTradeSkill1(21991, 360, ARL:ARL_AddVendor({167, 168}, false))

	-- World Drops
	ARL:addTradeSkill1(6453, 130, L["UWD"])

	-- Reputations
	ARL:addTradeSkill1(19440, 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})

end
